
Fendt828Vario = {};

function Fendt828Vario.initSpecialization()
end;

function Fendt828Vario.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Steerable, specializations);
end;

function Fendt828Vario:load(xmlFile)

end;

function Fendt828Vario:delete()
end;

function Fendt828Vario:readStream(streamId, connection)
end;

function Fendt828Vario:writeStream(streamId, connection)	
end;

function Fendt828Vario:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Fendt828Vario:keyEvent(unicode, sym, modifier, isDown)
end;

function Fendt828Vario:update(dt)
	if self:getIsActive() then
		for _, part in pairs(self.movingParts) do
			Cylindered.setDirty(self, part);
		end;
	end;
end;

function Fendt828Vario:updateTick(dt)

end;

function Fendt828Vario:draw()
end;

function Fendt828Vario:loadFromAttributesAndNodes(xmlFile, key, resetVehicles)	
    return BaseMission.VEHICLE_LOAD_OK;
end;

function Fendt828Vario:getSaveAttributesAndNodes(nodeIdent)
end;

function Fendt828Vario:attachImplement(implement)

end;

function Fendt828Vario:detachImplement(implementIndex)

end;
